### Method

# GLib VariantDict ref

since: 2.40

#### Declaration

    GVariantDict*
    g_variant_dict_ref (
      GVariantDict* dict
    )

#### Description

Increases the reference count on `dict`.

Don’t call this on stack-allocated `GVariantDict` instances or bad things will happen.

Available since: 2.40

#### Return value

Type: `GVariantDict`

A new reference to `dict`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.